Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorIvan Furnadjiev2016-03-23 05:49:30 -0400
committerGerrit Code Review @ Eclipse.org2016-04-01 08:53:10 -0400
commit4ac5312de7161bb121579db27808731b29adda60 (patch)
tree0a19fd0d8d543f5c433153c702514ba1df655315 /bundles
parent832dedddd923821e470d82e58e967d1e69863751 (diff)
downloadorg.eclipse.rap-4ac5312de7161bb121579db27808731b29adda60.tar.gz
org.eclipse.rap-4ac5312de7161bb121579db27808731b29adda60.tar.xz
org.eclipse.rap-4ac5312de7161bb121579db27808731b29adda60.zip
Use Java 8 for org.eclipse.rap.jface.databinding
In Neon platform, bundles - org.eclipse.core.databinding - org.eclipse.core.databinding.property - org.eclipse.core.databinding.observable require Java 8. To avoid compilation error we have to rise the execution environment of org.eclipse.rap.jface.databinding to Java 8 too. Change-Id: I57d0fbfc14622edc954e8047b20dbc4e94be3866
Diffstat (limited to 'bundles')
-rw-r--r--bundles/org.eclipse.rap.jface.databinding/.classpath8
-rw-r--r--bundles/org.eclipse.rap.jface.databinding/.settings/org.eclipse.jdt.core.prefs6
-rw-r--r--bundles/org.eclipse.rap.jface.databinding/META-INF/MANIFEST.MF2
3 files changed, 8 insertions, 8 deletions
diff --git a/bundles/org.eclipse.rap.jface.databinding/.classpath b/bundles/org.eclipse.rap.jface.databinding/.classpath
index 098194ca4b..97143e06f4 100644
--- a/bundles/org.eclipse.rap.jface.databinding/.classpath
+++ b/bundles/org.eclipse.rap.jface.databinding/.classpath
@@ -1,7 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<classpath>
- <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.7"/>
- <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
- <classpathentry kind="src" path="src"/>
- <classpathentry kind="output" path="bin"/>
+ <classpathentry kind="con" path="org.eclipse.jdt.launching.JRE_CONTAINER/org.eclipse.jdt.internal.debug.ui.launcher.StandardVMType/JavaSE-1.8"/>
+ <classpathentry kind="con" path="org.eclipse.pde.core.requiredPlugins"/>
+ <classpathentry kind="src" path="src"/>
+ <classpathentry kind="output" path="bin"/>
</classpath>
diff --git a/bundles/org.eclipse.rap.jface.databinding/.settings/org.eclipse.jdt.core.prefs b/bundles/org.eclipse.rap.jface.databinding/.settings/org.eclipse.jdt.core.prefs
index 6e5b381a91..1828259e90 100644
--- a/bundles/org.eclipse.rap.jface.databinding/.settings/org.eclipse.jdt.core.prefs
+++ b/bundles/org.eclipse.rap.jface.databinding/.settings/org.eclipse.jdt.core.prefs
@@ -16,9 +16,9 @@ org.eclipse.jdt.core.codeComplete.staticFieldPrefixes=
org.eclipse.jdt.core.codeComplete.staticFieldSuffixes=
org.eclipse.jdt.core.compiler.codegen.inlineJsrBytecode=enabled
org.eclipse.jdt.core.compiler.codegen.methodParameters=do not generate
-org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.7
+org.eclipse.jdt.core.compiler.codegen.targetPlatform=1.8
org.eclipse.jdt.core.compiler.codegen.unusedLocal=preserve
-org.eclipse.jdt.core.compiler.compliance=1.7
+org.eclipse.jdt.core.compiler.compliance=1.8
org.eclipse.jdt.core.compiler.debug.lineNumber=generate
org.eclipse.jdt.core.compiler.debug.localVariable=generate
org.eclipse.jdt.core.compiler.debug.sourceFile=generate
@@ -107,7 +107,7 @@ org.eclipse.jdt.core.compiler.problem.unusedParameterWhenOverridingConcrete=enab
org.eclipse.jdt.core.compiler.problem.unusedPrivateMember=warning
org.eclipse.jdt.core.compiler.problem.unusedWarningToken=warning
org.eclipse.jdt.core.compiler.problem.varargsArgumentNeedCast=warning
-org.eclipse.jdt.core.compiler.source=1.7
+org.eclipse.jdt.core.compiler.source=1.8
org.eclipse.jdt.core.formatter.align_type_members_on_columns=false
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_allocation_expression=16
org.eclipse.jdt.core.formatter.alignment_for_arguments_in_enum_constant=16
diff --git a/bundles/org.eclipse.rap.jface.databinding/META-INF/MANIFEST.MF b/bundles/org.eclipse.rap.jface.databinding/META-INF/MANIFEST.MF
index d8317401eb..39e93ebc68 100644
--- a/bundles/org.eclipse.rap.jface.databinding/META-INF/MANIFEST.MF
+++ b/bundles/org.eclipse.rap.jface.databinding/META-INF/MANIFEST.MF
@@ -25,4 +25,4 @@ Require-Bundle: org.eclipse.rap.rwt;bundle-version="[3.1.0,4.0.0)",
org.eclipse.core.databinding.property;bundle-version="[1.3.0,2.0.0)",
org.eclipse.core.databinding;bundle-version="[1.3.0,2.0.0)"
Import-Package: com.ibm.icu.text
-Bundle-RequiredExecutionEnvironment: JavaSE-1.7
+Bundle-RequiredExecutionEnvironment: JavaSE-1.8

Back to the top